Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985375 - windows guest hits BSOD during installing vtune
Summary: windows guest hits BSOD during installing vtune
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Karen Noel
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-17 11:11 UTC by FuXiangChun
Modified: 2014-06-09 14:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 12:51:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description FuXiangChun 2013-07-17 11:11:29 UTC
Description of problem:
windows2012 and win7 show BSOD during installing vtune. guest don't use virtio-win driver.  I will attach memory dump file later 

Version-Release number of selected component (if applicable):
# uname -r
3.10.0-0.rc7.64.el7.x86_64
[root@localhost home]# rpm -qa|grep qemu
qemu-kvm-1.5.1-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -M pc-i440fx-rhel7.0.0 -cpu SandyBridge -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -name juli -uuid 355a2475-4e03-4cdd-bf7b-5d6a59edaa61 -rtc base=localtime,clock=host,driftfix=slew -drive file=/home/windows_server_2012_x64.qcow2,if=none,id=storage1,media=disk,cache=none,format=qcow2 -device ide-drive,drive=storage1,id=system1 -netdev tap,id=hostnet0,vhost=on,queues=4,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet0,id=rtl81391,mac=24:be:05:14:0d:b2 -k en-us  -vnc :3 -monitor stdio -balloon none

2. install vtune VTune_Amplifier_XE_2013_update6_setup.exe inside guest

3. 

Actual results:
guest BSOD

Expected results:
install vtune successfully

Additional info:
vtune can be installed successfully in win7-64 bare host.

Comment 4 Ronen Hod 2013-07-17 11:58:09 UTC
Gleb,

I don't see it in the BZ, but I believe that it works for Linux guests.
Will we ever make it work? Shall we postpone to 7.1?

Comment 6 Ronen Hod 2013-07-18 12:51:41 UTC
Closing
Gleb says that vTune writes to MSR that we do not and cannot support (probably MSR_PLATFORM_INFO), and that in the PMU test plan he already said not to test vTune.


Note You need to log in before you can comment on or make changes to this bug.